System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 To be added System.Xml.XmlNode System.Xml.IHasXmlChildNode An Xml node that is an element attribute.

Attributes are contained in the property of element nodes. In the Xml below, "attribute" is an attribute of the "example" element.

`<example attribute="value"/>`

The following example shows how an attribute is programmatically added into an Xml document.

`using System; using System.Xml; class MainClass { public static void Main(string[] args) { Console.WriteLine("Hello World!"); DomDemo(); } public static void DomDemo() { XmlDocument doc=new XmlDocument(); doc.LoadXml("<root />"); XmlAttribute a=doc.CreateAttribute("Foo"); a.Value="Bar"; doc.DocumentElement.Attributes.Append(a); Console.Out.WriteLine(doc.OuterXml); } }`
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNode `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.String ReadOnly property for getting the Base URI for the Attribute. The location from which the attribute was loaded. If the location is empty (for example, was created in memory), is returned. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlNode `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNodeType To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlDocument To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlElement To be added To be added: an object of type 'XmlElement' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlNode To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlNode `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlNode `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlNode `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Xml.Schema.IXmlSchemaInfo To be added. To be added. To be added. 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlLinkedNode To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0